%define soname  libnux-4.0
%define sover   0
%define version 4.0
Name:           nux
Version:        4.0.8
Release:        1%{?dist}
Summary:        Visual rendering toolkit for real-time applications
License:        GPL-3.0-only AND LGPL-2.1-or-later AND Apache-2.0
Group:          Graphics/Utilities
URL:            https://launchpad.net/nux
Source0:        https://launchpad.net/nux/%{version}/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE nux-disable-werror.patch -- Disable -Werror.
Patch0:         nux-disable-werror.patch
BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cairo) >= 1.9.14
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0) >= 2.25.14
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libgeis) >= 2.2.10
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libpng) >= 1.2.44
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xxf86vm)

%description
Nux is a graphical user interface toolkit for applications that
mixes OpenGL hardware acceleration with high quality visual
rendering.

%package tools
Summary:        Nux rendering toolkit tools
Group:          Graphics/Utilities

%description tools
Nux is a graphical user interface toolkit for applications that
mixes OpenGL hardware acceleration with high quality visual
rendering.

%package -n %{soname}-%{sover}
Summary:        Nux rendering toolkit system shared libraries
Group:          System/Libraries

%description -n %{soname}-%{sover}
Nux is a graphical user interface toolkit for applications that
mixes OpenGL hardware acceleration with high quality visual
rendering.

This package provides the system shared libraries for Nux.

%package devel
Summary:        Nux rendering toolkit development files
Group:          Development/Libraries/C and C++
Requires:       %{soname}-%{sover} = %{version}
Requires:       %{name}-tools = %{version}
Requires:       boost-devel
Requires:       pkgconfig(cairo) >= 1.9.14
Requires:       pkgconfig(egl)
Requires:       pkgconfig(gdk-pixbuf-2.0)
Requires:       pkgconfig(glesv2)
Requires:       pkgconfig(glib-2.0) >= 2.25.14
Requires:       pkgconfig(libgeis) >= 2.2.10
Requires:       pkgconfig(libpcre)
Requires:       pkgconfig(libpng) >= 1.2.44
Requires:       pkgconfig(sigc++-2.0)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xinerama)
Requires:       pkgconfig(xxf86vm)

%description devel
Nux is a graphical user interface toolkit for applications that
mixes OpenGL hardware acceleration with high quality visual
rendering.

%prep
%autosetup -p1
cat > check-unity-support.sh << EOF
# -*- sh -*-
# This file is sourced, not executed.

if [ "$%{nil}DESKTOP_SESSION" = "ubuntu" ]; then
    %{_libexecdir}/nux/unity_support_test || export LIBGL_ALWAYS_SOFTWARE=1
elif [ -f /etc/mageia-release ]; then
    # Mageia specific actions
    echo "Running on Mageia"
    # Add possible Mageia specific actions here
    export LIBGL_ALWAYS_SOFTWARE=1
else
    # Actions for unsupported distributions
    echo "Unknown or unsupported distribution"
fi
EOF

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
  --disable-static          \
  --disable-tests           \
  --enable-opengles-20      \
  --enable-documentation=no
%make_build %{?_smp_mflags} V=1

%install
%make_install
install -Dpm 0644 {.,%{buildroot}%{_sysconfdir}/X11/xinit/xinitrc.d}/check-unity-support.sh

find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_datadir}/ %{buildroot}%{_includedir}/

%files tools
%doc COPYING*
%doc AUTHORS README
%dir %{_sysconfdir}/X11/xinit/
%dir %{_sysconfdir}/X11/xinit/xinitrc.d/
%config %{_sysconfdir}/X11/xinit/xinitrc.d/check-unity-support.sh
%dir %{_libexecdir}/nux/
%{_libexecdir}/nux/unity_support_test

%files -n %{soname}-%{sover}
%license COPYING*
%doc AUTHORS README
%{_libdir}/libnux-*.so.%{sover}*
%{_datadir}/nux/

%files devel
%{_includedir}/Nux-4.0/
%{_libdir}/libnux-*.so
%{_libdir}/pkgconfig/nux-*.pc
